Generate a token
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/security/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/security/tokens"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.example.com/api/projects/{projectId}/security/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"token": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
}
}Security
Generate a token
Generates a new access token for the specified project.
POST
/
api
/
projects
/
{projectId}
/
security
/
tokens
Generate a token
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Unique identifier of the project
Body
application/json
Name to identify the access token
Response
200 - application/json
The newly created project access token
The newly created project access token
Unique identifier of the project access token
Name of the access token
The access token value
ID of the project this token belongs to
Timestamp when the token was created
User who created the token
Show child attributes
Show child attributes
Was this page helpful?
⌘I